Table of Contents

Class: Wizards | eric3/Wizards/Wizard.py
--- | ---

Class implementing the highlevel wizard functions.

Base Classes |
--- | ---
QObject

Methods |
--- | ---
__init__ getActions getCurrentEditor init initMenu
| __init__

    __init__ (
            self,
            loc,
            parent=None,
            )

### Constructor

#### Arguments

loc
  the localizer string as determined by the main script (string)

| getActions

    getActions ( self )

### Public method to get a list of all actions.

#### Returns

list of all actions (list of QAction)

| getCurrentEditor

    getCurrentEditor ( self )

### Public method to get a reference to the current editor.

#### Returns

the current editor

| init

    init ( self )

Private method to register all the wizards.

| initMenu

    initMenu ( self )

### Public slot to initialize the wizards menu.

#### Returns

the generated menu

Table of Contents

This document was automatically generated by HappyDoc version 2.1